devel/p5-ExtUtils-AutoInstall - The NetBSD Packages Collection

Lets Makefile.PL automatically install dependencies

This module lets Makefile.PL automatically install dependencies
via CPAN or CPANPLUS.

* Features

- Letting the user enable/disable optional dependencies.
- Support sane defaults by probing for the machine's capability.
- If not inside a cpan shell, use CPAN.pm to install dependencies.
- Enable/disable the associated tests automatically.
- Supply UNINST=1 when it is safe and possibly needed.
- Checks MANIFEST to avoid unnecessary grepping of EXE_FILES.
- Utilizes CPANPLUS and/or Sort::Versions where feasible.
- Offers check-only and skip-all Makefile.PL targets.
- Offers check-only and install-only Makefile targets.
- Take advantage of the 'sudo' command where available.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Sort-Versions lang/perl5 lang/perl5

Available binary packages

aarch64:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 9.0)
aarch64:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
aarch64:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
alpha:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
alpha:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 9.0)
alpha:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
earm:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
earm:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 9.0)
earm:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
earmv6hf:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
earmv6hf:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 9.0)
earmv6hf:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
earmv6hf:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
earmv7hf:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 8.0)
earmv7hf:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 8.0)
earmv7hf:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 8.0)
earmv7hf:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 8.0)
earmv7hf:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
earmv7hf:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 9.0)
earmv7hf:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 9.0)
earmv7hf:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
earmv7hf:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
i386:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 8.0)
i386:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 8.0)
i386:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 8.0)
i386:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 9.0)
i386:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
i386:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
m68k:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
m68k:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 9.0)
mips64eb:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
mips64eb:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
mipsel:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
powerpc:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 8.0)
powerpc:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 8.0)
powerpc:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
powerpc:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 9.0)
sh3el:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
sh3el:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
sparc64:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
sparc64:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 9.0)
sparc64:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
sparc:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
sparc:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 9.0)
sparc:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
vax:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
x86_64:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
x86_64:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
x86_64:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
x86_64:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
x86_64:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 8.0)
x86_64:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 8.0)
x86_64:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 8.0)
x86_64:p5-ExtUtils-AutoInstall-0.64nb3.tgz(NetBSD 9.0)
x86_64:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
x86_64:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)
x86_64:p5-ExtUtils-AutoInstall-0.64nb4.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]